Bug 26723 - Improve link text on OverDriveAuthName system preference
Summary: Improve link text on OverDriveAuthName system preference
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lisette Scheer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2020-10-18 15:29 UTC by Katrin Fischer
Modified: 2020-11-17 20:49 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Attachment to Bug 26723 - Improve link text on OverDriveAuthName system preference (1.69 KB, patch)
2020-10-24 18:23 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 26723: Improve link text on OverDriveAuthName system preference (1.73 KB, patch)
2020-10-25 19:25 UTC, David Nind
Details | Diff | Splinter Review
Bug 11460: Remove MARC21 default mapping from itemcallnumber system preference (3.86 KB, patch)
2020-10-26 22:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26723: Improve link text on OverDriveAuthName system preference (1.79 KB, patch)
2020-10-26 22:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-18 15:29:31 UTC
The OverDriveAuthName system preference contains a link labelled "here" to a separate administration page that should be labelled better.

(see depending bug 26722)
Comment 1 Lisette Scheer 2020-10-24 18:23:58 UTC
Created attachment 112391 [details] [review]
Attachment to Bug 26723 - Improve link text on OverDriveAuthName system preference

Bug 26723: Improve link text on OverDriveAuthName system preference

The OverDriveAuthName system preference contains a link labeled "here"
to a seperate administration page that should be labeled better. This
patch renames the link.

To test:
1. Go to administration
2. Search the system preferences for OverDriveAuthName
3. Obeserve the "here" link in the preference.
4. Apply the patch.
5. Repeat steps 1-2.
6. Observe the new link text.
7. Sign off.
Comment 2 David Nind 2020-10-25 19:25:30 UTC
Created attachment 112480 [details] [review]
Bug 26723: Improve link text on OverDriveAuthName system preference

The OverDriveAuthName system preference contains a link labeled "here"
to a seperate administration page that should be labeled better. This
patch renames the link.

To test:
1. Go to administration
2. Search the system preferences for OverDriveAuthName
3. Obeserve the "here" link in the preference.
4. Apply the patch.
5. Repeat steps 1-2.
6. Observe the new link text.
7. Sign off.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-10-25 19:47:10 UTC
Comment on attachment 112391 [details] [review]
Attachment to Bug 26723 - Improve link text on OverDriveAuthName system preference

I made a quick edit before signing off - added a space before the start of the link.
Comment 4 Katrin Fischer 2020-10-26 22:53:35 UTC
Created attachment 112541 [details] [review]
Bug 11460: Remove MARC21 default mapping from itemcallnumber system preference

The mapping in the itemcallnumber system preference is only valid
for MARC21 libraries using DDC classification, but not for libraries
using UNIMARC or other classification.

This patch suggests to remove the default mapping and start new installations
with an empty value.

To test:
- On an emtpy database
- Apply patch
- Run the web installer, selecting either MARC21 or UNIMARC
- Verify that the itemcallnumber system preference is empty
- Verify the description now also include examples for UNIMARC
Comment 5 Katrin Fischer 2020-10-26 22:58:49 UTC
Created attachment 112543 [details] [review]
Bug 26723: Improve link text on OverDriveAuthName system preference

The OverDriveAuthName system preference contains a link labeled "here"
to a seperate administration page that should be labeled better. This
patch renames the link.

To test:
1. Go to administration
2. Search the system preferences for OverDriveAuthName
3. Obeserve the "here" link in the preference.
4. Apply the patch.
5. Repeat steps 1-2.
6. Observe the new link text.
7. Sign off.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-11-02 10:05:47 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-11-16 18:41:31 UTC
backported to 20.05.x for 20.05.06
Comment 8 Aleisha Amohia 2020-11-17 05:15:06 UTC
enhancement, not backported to 19.11.x